package com.steering.pss.sale.order.model;

/**
 * 数据库表SLM_ORDER_DELIVERY_TRANSIT所对应的实体类（生成工具：代码生成器2.4）
 * @author Chenxi-PC   date 2015-06-12
 */
public class SlmOrderDeliveryTransitEntity {
    /**
     * ORD_PK
     */
    private String ordPk;
    /**
     * ORD_LN_PK(ORD_PK+三位流失号)
     */
    private String ordLnPk;
    /**
     * ORD_LN_DLY_PK(ORD_LN_PK+三位流水号)
     */
    private String ordLnDlyPk;
    /**
     * 顺序号
     */
    private String indexSeq;
    /**
     * 代办标识(0无代办，1：TPCO代办、2:客户代办)
     */
    private String agencyFl;
    /**
     * 运输方式('1105')
     */
    private String lvFactyTyp;
    /**
     * 运输方式('1105')
     */
    private String transitTyp;
    /**
     * 目的地
     */
    private String destination;
    /**
     * 到站编码
     */
    private String stationNo;
    /**
     * 到站名称
     */
    private String stationNm;
    /**
     * 专用线编码
     */
    private String spclLnNo;
    /**
     * 专用线名称
     */
    private String spclLnNm;
    /**
     * 港口/码头
     */
    private String portNo;
    /**
     * 港口/码头描述
     */
    private String portDesc;
    /**
     * 承运单位('1109')
     */
    private String carrierUnit;
    /**
     * 接货人
     */
    private String receivor;
    /**
     * 总费用
     */
    private String transitLnMny;
    /**
     * 有效标志(1:有效，0:无效)
     */
    private String validflag;
    /**
     * 创建人
     */
    private String createName;
    /**
     * 创建时间
     */
    private String createTime;
    /**
     * 修改人
     */
    private String updateName;
    /**
     * 修改时间
     */
    private String updateTime;
    /**
     * 删除人
     */
    private String deleteName;
    /**
     * 删除时间
     */
    private String deleteTime;

    public SlmOrderDeliveryTransitEntity(){
        ordPk = "";
        ordLnPk = "";
        ordLnDlyPk = "";
        indexSeq = "";
        agencyFl = "";
        lvFactyTyp = "";
        transitTyp = "";
        destination = "";
        stationNo = "";
        stationNm = "";
        spclLnNo = "";
        spclLnNm = "";
        portNo = "";
        portDesc = "";
        carrierUnit = "";
        receivor = "";
        transitLnMny = "";
        validflag = "";
        createName = "";
        createTime = "";
        updateName = "";
        updateTime = "";
        deleteName = "";
        deleteTime = "";
    }

    /**
     * ORD_PK
     * @return value
     */
    public String getOrdPk() {
        return ordPk;
    }

    /**
     * ORD_PK
     * @param ordPk value
     */
    public void setOrdPk(String ordPk) {
        this.ordPk = ordPk;
    }

    /**
     * ORD_LN_PK(ORD_PK+三位流失号)
     * @return value
     */
    public String getOrdLnPk() {
        return ordLnPk;
    }

    /**
     * ORD_LN_PK(ORD_PK+三位流失号)
     * @param ordLnPk value
     */
    public void setOrdLnPk(String ordLnPk) {
        this.ordLnPk = ordLnPk;
    }

    /**
     * ORD_LN_DLY_PK(ORD_LN_PK+三位流水号)
     * @return value
     */
    public String getOrdLnDlyPk() {
        return ordLnDlyPk;
    }

    /**
     * ORD_LN_DLY_PK(ORD_LN_PK+三位流水号)
     * @param ordLnDlyPk value
     */
    public void setOrdLnDlyPk(String ordLnDlyPk) {
        this.ordLnDlyPk = ordLnDlyPk;
    }

    /**
     * 顺序号
     * @return value
     */
    public String getIndexSeq() {
        return indexSeq;
    }

    /**
     * 顺序号
     * @param indexSeq value
     */
    public void setIndexSeq(String indexSeq) {
        this.indexSeq = indexSeq;
    }

    /**
     * 代办标识(0无代办，1：TPCO代办、2:客户代办)
     * @return value
     */
    public String getAgencyFl() {
        return agencyFl;
    }

    /**
     * 代办标识(0无代办，1：TPCO代办、2:客户代办)
     * @param agencyFl value
     */
    public void setAgencyFl(String agencyFl) {
        this.agencyFl = agencyFl;
    }

    /**
     * 运输方式('1105')
     * @return value
     */
    public String getLvFactyTyp() {
        return lvFactyTyp;
    }

    /**
     * 运输方式('1105')
     * @param lvFactyTyp value
     */
    public void setLvFactyTyp(String lvFactyTyp) {
        this.lvFactyTyp = lvFactyTyp;
    }

    /**
     * 运输方式('1105')
     * @return value
     */
    public String getTransitTyp() {
        return transitTyp;
    }

    /**
     * 运输方式('1105')
     * @param transitTyp value
     */
    public void setTransitTyp(String transitTyp) {
        this.transitTyp = transitTyp;
    }

    /**
     * 目的地
     * @return value
     */
    public String getDestination() {
        return destination;
    }

    /**
     * 目的地
     * @param destination value
     */
    public void setDestination(String destination) {
        this.destination = destination;
    }

    /**
     * 到站编码
     * @return value
     */
    public String getStationNo() {
        return stationNo;
    }

    /**
     * 到站编码
     * @param stationNo value
     */
    public void setStationNo(String stationNo) {
        this.stationNo = stationNo;
    }

    /**
     * 到站名称
     * @return value
     */
    public String getStationNm() {
        return stationNm;
    }

    /**
     * 到站名称
     * @param stationNm value
     */
    public void setStationNm(String stationNm) {
        this.stationNm = stationNm;
    }

    /**
     * 专用线编码
     * @return value
     */
    public String getSpclLnNo() {
        return spclLnNo;
    }

    /**
     * 专用线编码
     * @param spclLnNo value
     */
    public void setSpclLnNo(String spclLnNo) {
        this.spclLnNo = spclLnNo;
    }

    /**
     * 专用线名称
     * @return value
     */
    public String getSpclLnNm() {
        return spclLnNm;
    }

    /**
     * 专用线名称
     * @param spclLnNm value
     */
    public void setSpclLnNm(String spclLnNm) {
        this.spclLnNm = spclLnNm;
    }

    /**
     * 港口/码头
     * @return value
     */
    public String getPortNo() {
        return portNo;
    }

    /**
     * 港口/码头
     * @param portNo value
     */
    public void setPortNo(String portNo) {
        this.portNo = portNo;
    }

    /**
     * 港口/码头描述
     * @return value
     */
    public String getPortDesc() {
        return portDesc;
    }

    /**
     * 港口/码头描述
     * @param portDesc value
     */
    public void setPortDesc(String portDesc) {
        this.portDesc = portDesc;
    }

    /**
     * 承运单位('1109')
     * @return value
     */
    public String getCarrierUnit() {
        return carrierUnit;
    }

    /**
     * 承运单位('1109')
     * @param carrierUnit value
     */
    public void setCarrierUnit(String carrierUnit) {
        this.carrierUnit = carrierUnit;
    }

    /**
     * 接货人
     * @return value
     */
    public String getReceivor() {
        return receivor;
    }

    /**
     * 接货人
     * @param receivor value
     */
    public void setReceivor(String receivor) {
        this.receivor = receivor;
    }

    /**
     * 总费用
     * @return value
     */
    public String getTransitLnMny() {
        return transitLnMny;
    }

    /**
     * 总费用
     * @param transitLnMny value
     */
    public void setTransitLnMny(String transitLnMny) {
        this.transitLnMny = transitLnMny;
    }

    /**
     * 有效标志(1:有效，0:无效)
     * @return value
     */
    public String getValidflag() {
        return validflag;
    }

    /**
     * 有效标志(1:有效，0:无效)
     * @param validflag value
     */
    public void setValidflag(String validflag) {
        this.validflag = validflag;
    }

    /**
     * 创建人
     * @return value
     */
    public String getCreateName() {
        return createName;
    }

    /**
     * 创建人
     * @param createName value
     */
    public void setCreateName(String createName) {
        this.createName = createName;
    }

    /**
     * 创建时间
     * @return value
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime value
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改人
     * @return value
     */
    public String getUpdateName() {
        return updateName;
    }

    /**
     * 修改人
     * @param updateName value
     */
    public void setUpdateName(String updateName) {
        this.updateName = updateName;
    }

    /**
     * 修改时间
     * @return value
     */
    public String getUpdateTime() {
        return updateTime;
    }

    /**
     * 修改时间
     * @param updateTime value
     */
    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 删除人
     * @return value
     */
    public String getDeleteName() {
        return deleteName;
    }

    /**
     * 删除人
     * @param deleteName value
     */
    public void setDeleteName(String deleteName) {
        this.deleteName = deleteName;
    }

    /**
     * 删除时间
     * @return value
     */
    public String getDeleteTime() {
        return deleteTime;
    }

    /**
     * 删除时间
     * @param deleteTime value
     */
    public void setDeleteTime(String deleteTime) {
        this.deleteTime = deleteTime;
    }
}
